%def_enable static
%def_enable shared
%def_disable debug

%define bname pth
%define Name Pth
Name: lib%bname
Version: 2.0.7
Release: alt3
Summary: GNU %Name - GNU Portable Threads.
License: %lgpl2plus
Group: System/Libraries
URL: http://www.gnu.org/software/%bname/
Source: ftp://ftp.gnu.org/gnu/%bname/%bname-%version.tar
Patch: %name-%version-%release.patch
Provides: %bname = %version-%release
Obsoletes: %bname
Packager: Led <led@altlinux.ru>

BuildRequires(pre): rpm-build-licenses

%description
%Name is a very portable POSIX/ANSI-C based library for Unix platforms
which provides non-preemptive priority-based scheduling for multiple
threads of execution ("multithreading") inside server applications.
All threads run in the same address space of the server application,
but each thread has its own individual program-counter, run-time
stack, signal mask and errno variable.


%package devel
Summary: GNU %Name - GNU Portable Threads (headers).
Group: Development/C
Requires: %name = %version-%release
Provides: %bname-devel = %version-%release
Obsoletes: %bname-devel


%description devel
%Name is a very portable non-preemptive threading library for Unix
platforms.

This package includes headers and other files necessary to build
applications that use %Name.


%if_enabled static
%package devel-static
Summary: GNU %Name - GNU Portable Threads (static libs).
Group: Development/C
Requires: %name-devel = %version-%release

%description devel-static
%Name is a very portable non-preemptive threading library for Unix
platforms.

This package includes static libraries.
%endif


%prep
%setup -n %bname-%version
%patch -p1


%build
%autoreconf
%configure \
    %{subst_enable debug} \
    %{subst_enable shared} \
    %{subst_enable static}
%make all test
bzip2 --keep --best --force ChangeLog


%install
%make_install DESTDIR=%buildroot install


%files
%doc README ANNOUNCE AUTHORS THANKS USERS
%_libdir/*.so.*


%files devel
%doc ChangeLog.* HISTORY NEWS PORTING SUPPORT
%_bindir/*
%_libdir/*.so
%_includedir/*
%_man1dir/*
%_man3dir/*
%_datadir/aclocal/*


%if_enabled static
%files devel-static
%_libdir/*.a
%endif


%changelog
* Sun Dec 28 2008 Led <led@altlinux.ru> 2.0.7-alt3
- cleaned up spec

* Sat Aug 09 2008 Led <led@altlinux.ru> 2.0.7-alt2
- fixed and cleaned up spec

* Sat Jul 26 2008 Led <led@altlinux.ru> 2.0.7-alt1
- Updated to 2.0.7
- fixed License

* Sun Dec 11 2005 Mikhail Zabaluev <mhz@altlinux.ru> 2.0.6-alt1
- Updated to 2.0.6

* Thu Jan 29 2004 Mikhail Zabaluev <mhz@altlinux.ru> 2.0.0-alt1
- Updated to 2.0.0
- License is LGPL

* Thu Dec 11 2003 Mikhail Zabaluev <mhz@altlinux.ru> 1.4.1-alt4
- Removed libtool files

* Wed Sep 25 2002 Mikhail Zabaluev <mhz@altlinux.ru> 1.4.1-alt3
- mdk-pth-config.in patch sucked

* Tue Sep 24 2002 Mikhail Zabaluev <mhz@altlinux.ru> 1.4.1-alt2
- static build disabled by default
- included the pth.m4 file for aclocal
- bzipped ChangeLog
- sanitized descriptions

* Fri Sep 20 2002 Stanislav Ievlev <inger@altlinux.ru> 1.4.1-alt1
- 1.4.1
- some little spec improvements

* Tue Mar 27 2001 Dmitry V. Levin <ldv@altlinux.ru> 1.4.0-alt1
- 1.4.0

* Mon Jan 15 2001 Dmitry V. Levin <ldv@fandra.org> 1.3.7-ipl1mdk
- RE adaptions.

* Thu Jan 04 2001 Francis Galiegue <fg@mandrakesoft.com> 1.3.7-1mdk
- New lib policy:
  * s,pth,lib&,g
  * Obsoletes: pth (and -devel)
  * no need for serial anymore
- Don't use macros when not needed

* Sun Jul 30 2000 Geoffrey Lee <snailtalk@mnandrakesoft.com> 1.3.7-1mdk
- new version

* Thu Jul 27 2000 Francis Galiegue <fg@mandrakesoft.com> 1.3.6-1mdk
- 1.3.6
- BMacros
- numerous spec file changes - why has the Makefile gone so screwy?

* Mon Jul 10 2000 Stefan van der Eijk <s.vandereijk@chello.nl> 1.3.1-4mdk
- makeinstall macro
- macroszifications

* Thu Apr 13 2000 Francis Galiegue <fg@mandrakesoft.com> 1.3.1-3mdk
- Changed group for -devel

* Thu Mar 16 2000 Francis Galiegue <francis@mandrakesoft.com>
- Some spec file changes
- Changed group to match 7.1 specs
- Let spec-helper do its job

* Tue Feb 22 2000 Geoffrey Lee <snailtalk@linux-mandrake.com> 1.3.1-1mdk
- v1.3.1

* Wed Feb  9 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.2.3-2mdk
- bzip man pages and make rpmlint happy.

* Tue Feb  8 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.2.3-1mdk
- version 1.2.3

* Fri Jul 30 1999 Ryan Weaver <ryanw@infohwy.com>
  [pth-1.0.3-1]
- Fixed inconsistent and wrong API value: PTH_ATTR_NULL existed and was
  documented as PTH_ATTR_NONE. But actually the intended and intuitive
  value was PTH_ATTR_DEFAULT. !BE CAREFUL: This is an API change and
  requires adjustments in Pth applications!
  [Ralf S. Engelschall, Eric Newton <ecn@smart.net>]
- Make sure pthread.h.in doesn't redefine the poll(2) environment
  under built-time because it's already defined by the included pth.h.
  [Kriton Kyrimis <kyrimis@cti.gr>]
- Add readv/writev environment fallback definitions to pthread.h.in.
  [Ralf S. Engelschall]
- Support for AmigaOS in pthreads.c: timespec attributes have (correct)
  ts_ prefix under AmigaOS and not the (bogus) POSIX tv_ prefix
  [Kriton Kyrimis <kyrimis@cti.gr>]
- Add `#include <time.h>' for struct timespec to pthread.h.in
  and removed timespec references in pth.h.in.
  [Ralf S. Engelschall]
- Fixed documentation for pth_spawn() and pth_wait().
  [Ralf S. Engelschall, Eric Newton <ecn@smart.net>]
